%global srcname stringprep

Summary:        RFC 3454 Preparation of Internationalized Strings in pure Java
Name:           ongres-%{srcname}
Version:        1.1
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/ongres/%{srcname}
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  maven-local junit5 velocity
BuildRequires:  maven-plugin-build-helper maven-enforcer-plugin exec-maven-plugin

BuildArch:  noarch
ExclusiveArch:  %{java_arches} noarch

%description
%{srcname} implements the RFC 3454 Preparation of Internationalized Strings ("stringprep")
in pure Java.
The stringprep protocol does not stand on its own; it has to be used by other protocols
at precisely-defined places in those other protocols.


%package javadoc
Summary:    Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}


%prep
%autosetup -p1 -n %{srcname}-%{version}
find ./ \( -name '*.jar' -o -name '*.class' \) -delete

%pom_remove_dep :velocity-tools codegenerator
%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin -r :maven-javadoc-plugin


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%license LICENSE


%files javadoc -f .mfiles-javadoc
%license LICENSE


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 rockerzhu <rockerzhu@tencent.com> - 1.1-1
- Initial build.
